### Constructor

# Gtk.Video.new_for_file

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_file (
      GFile* file
    )

#### Description [src]

Creates a `GtkVideo` to play back the given `file`.

#### Parameters

`file` | `GFile*`
| a `GFile`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkVideo`
Ownership is not transferred to the caller